Job Operation Batch
The job operation batch resource.
Base/jobOperationBatch
GET
/jobOperationBatchList job operation batches
Retrieve a paginated list of job operation batches. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/jobOperationBatch
curl --request GET \
--url '<your-host>/jobOperationBatch?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"readableId": "xyz789",
"processId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/jobOperationBatchRetrieve a job operation batch
Fetch a single job operation batch by filtering on `id`.
Query parameters
idstringMatch on the job operation batch's `id`, e.g. `eq.{id}`.
GET/jobOperationBatch
curl --request GET \
--url '<your-host>/jobOperationBatch?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"readableId": "xyz789",
"processId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/jobOperationBatchCreate a job operation batch
Create a new job operation batch.
Body parameters
readableIdstringrequiredprocessIdstringrequiredworkCenterIdstringlocationIdstringrequiredstatusjobOperationBatchStatusrequirednotesstringcustomFieldsobjectmergeOutputbooleanrequiredoutputLotNumberstringPOST/jobOperationBatch
curl --request POST \
--url <your-host>/jobOperationBatch \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"readableId":"xyz789","processId":"xyz789","locationId":"xyz789","status":"string","mergeOutput":true}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"readableId": "xyz789",
"processId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/jobOperationBatchUpdate a job operation batch
Update an existing job operation batch, matched on `id`.
Body parameters
readableIdstringrequiredprocessIdstringrequiredworkCenterIdstringlocationIdstringrequiredstatusjobOperationBatchStatusrequirednotesstringcustomFieldsobjectmergeOutputbooleanrequiredoutputLotNumberstringPATCH/jobOperationBatch
curl --request PATCH \
--url '<your-host>/jobOperationBatch?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"readableId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"readableId": "xyz789",
"processId": "xyz789",
"locationId": "xyz789",
"status": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/jobOperationBatchDelete a job operation batch
Delete a job operation batch, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the job operation batch to delete, e.g. `eq.{id}`.
DELETE/jobOperationBatch
curl --request DELETE \
--url '<your-host>/jobOperationBatch?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content